// JScript File
// Version 1.0.0.7

        var mouseButtonPressed = false;

        function ButtonIn(rolloverTextIndex)
        {
        	// Change button color
            if(!mouseButtonPressed)
            {
            	var element;
            	if(window.event.srcElement.type != null)
            	{
            		element = window.event.srcElement;
				}
				else
				{
					element = window.event.srcElement.parentNode;
				}
               	element.style.backgroundColor = "4fAf00";
				element.style.borderBottom = "3px #3f8c00 solid";
				element.style.borderRight = "3px #3f8c00 solid";
				element.style.borderTop = "3px #4fAf00 solid";
				element.style.borderLeft = "3px #4fAf00 solid";
			}

            //Display rollover text
            var rolloverTxtToDisplay;
            if(rolloverTextIndex != -1)
            {
                rolloverTxtToDisplay = rolloverTxt[rolloverTextIndex];
                RolloverTextDiv.innerHTML = rolloverTxtToDisplay;
                RolloverTextDiv.style.visibility = 'visible';
            }

            // Display Subtitle
            var subTitleHeader = window.event.srcElement.value;
            if(subTitleHeader == null)
            {
            	subTitleHeader = window.event.srcElement.parentNode.value;
           	}
            subTitleHeader = subTitleHeader.replace(/<u>/i,"");
            subTitleHeader = subTitleHeader.replace(/<\/u>/i,"");
            subTitleHeader = subTitleHeader.replace(/<br>/i," ");
            subTitleHeader = subTitleHeader.replace(/<br>/i," ");

            SubTitle.innerText = subTitleHeader;

            if(window.event.srcElement.type != null)
            	window.event.srcElement.focus();
            else
            	window.event.srcElement.parentNode.focus();

        }
        function ButtonOut()
        {
        	var element;
        	if(window.event.srcElement.type != null)
        	{
	          	element = window.event.srcElement;
	        }
            else
            {
	            element = window.event.srcElement.parentNode;
            }
            if(window.event.srcElement.getAttribute('classname') == 'DefaultButton')
	        {
	        	element.style.backgroundColor = "336633";
				element.style.borderBottom = "3px #003300 solid";
				element.style.borderRight = "3px #003300 solid";
				element.style.borderTop = "3px #336633 solid";
				element.style.borderLeft = "3px #336633 solid";	        
			}
	        else
	        {
	        	element.style.backgroundColor = "99cc66";
				element.style.borderBottom = "3px #669933 solid";
				element.style.borderRight = "3px #669933 solid";
				element.style.borderTop = "3px #99cc66 solid";
				element.style.borderLeft = "3px #99cc66 solid";	 
	        }
            RolloverTextDiv.style.visibility = 'hidden';
            SubTitle.innerText = SubTitleText;
            if(window.event.toElement!= null)
            {
            	if(window.event.toElement.parentNode.type != "button")
            	{
           			window.event.srcElement.blur();
           			window.focus();
            	}
            }
        }
        function ButtonMouseDown()
        {
            window.event.srcElement.style.backgroundColor = "336633";
			window.event.srcElement.style.borderBottom = "3px #003300 solid";
			window.event.srcElement.style.borderRight = "3px #003300 solid";
			window.event.srcElement.style.borderTop = "3px #336633 solid";
			window.event.srcElement.style.borderLeft = "3px #336633 solid";	 
            mouseButtonPressed = true;
        }
        function ButtonMouseUp()
        {
            mouseButtonPressed = false;
        }
        function OpenWebLink(url)
        {
            window.open(url,"blank");
        }


        function CreateDocument()
        {
            if (isOSNotSupported())
            {
                window.location = "Unsupported.htm";
                return;
            }
            
            BannerTitle.innerText = BannerText;
            SubTitle.innerText = SubTitleText;

            var buttonTable = '<table class="ButtonTable" cellspacing="0" cellpadding="0">';
            var focusButtonID = null;

            for(i=0; i<numberOfButtons; i++)
            {

            	if(buttonVisible[i] == false)
            		continue;

                buttonTable += '<tr><td>';
                buttonTable += '<button ';

                buttonTable += 'class="' + buttonType[i] + '" ';
                buttonTable += 'onmouseover="ButtonIn(' + i + ')" onmouseout="ButtonOut()" ';
                buttonTable += 'onfocus="ButtonIn(' + i + ')" onblur="ButtonOut()" ';
                buttonTable += 'onmousedown="ButtonMouseDown()" onmouseup="ButtonMouseUp()" ';
                buttonTable += 'accesskey="' + buttonAccessKey[i] + '" tabindex="' + (i+1) + '" ';

                var buttonID = null;
                if(buttonActionType[i] == "exec")
                {
                    buttonID = buttonActionType[i] + '-' + buttonActionParams[i];
                    buttonTable += 'id="' + buttonID + '" ';
                }
                else if(buttonActionType[i] == "execexit")
                {
                    buttonID = buttonActionType[i] + '-' + buttonActionParams[i];
                    buttonTable += 'id="' + buttonID + '" ';
                }
                else if(buttonActionType[i] == "goto")
                {
                    buttonID = buttonActionType[i] + '-' + buttonActionParams[i];
                    buttonTable += 'id="' + buttonID + '" ';
                }

                if(i==0)
                    focusButtonID = buttonID;

                if(buttonHeight[i] != "Default")
                    buttonTable += 'style="height: ' + buttonHeight[i]  + 'px;" ';

                buttonTable += '>';
                buttonTable += buttonTxt[i];
                buttonTable += '</button>';
                buttonTable += '</td></tr>';
                if(buttonType[i] == "DefaultButton")
                {
                    buttonTable += '<tr><td class="DefaultSpacer"></td></tr>';
                }
                else
                {
                    buttonTable += '<tr><td class="Spacer"></td></tr>';
                }
            }

            buttonTable += '</table>';
            ButtonsTableWrap.innerHTML = buttonTable;


            var bottomButtonTable = '<table class="ButtonTable" cellspacing="0" cellpadding="0">';
            bottomButtonTable += '<tr><td>';
            bottomButtonTable += '<button ';
            bottomButtonTable += 'class="' + bottomButtonType + '" ';
            bottomButtonTable += 'onmouseover="ButtonIn(-1)" onmouseout="ButtonOut()" ';
            bottomButtonTable += 'onfocus="ButtonIn(-1)" onblur="ButtonOut()" ';
            bottomButtonTable += 'onmousedown="ButtonMouseDown()" onmouseup="ButtonMouseUp()" ';
            bottomButtonTable += 'accesskey="' + bottomButtonAccessKey + '" tabindex="' + (numberOfButtons+1) + '" ';

            if(bottomButtonActionType == "goto")
                bottomButtonTable += 'id="' + bottomButtonActionType + '-' + bottomButtonActionParams + '" ';
            else if(bottomButtonActionType == "exit")
                bottomButtonTable += 'id="ButtonExit" ';

            bottomButtonTable += '>';
            bottomButtonTable += bottomButtonTxt;
            bottomButtonTable += '</button>';
            bottomButtonTable += '</td></tr>';
            bottomButtonTable += '</table>';
            BottomButtonTableWrap.innerHTML = bottomButtonTable;

            //document.all[focusButtonID].focus();
        }